2010-05-20  Ramon Novoa  <rnovoa@artica.es>

	* unix/pandora_agent_installer, unix/DEBIAN/control,
	  unix/DEBIAN/make_deb_package.sh, unix/pandora_agent.spec,
	  unix/pandora_agent, linux/DEBIAN/make_deb_package.sh,
	  linux/pandora_agent.spec: Updated for the release of Pandora FMS 3.1 RC1.

2010-05-20  Miguel de Dios  <miguel.dedios@artica.es>

	* DEBIAN/make_deb_package.sh: fixed the permissions to DEBIAN temp package. 

2010-05-18  Sancho Lerena <slerena@artica.es>

	* unix/pandora_agent_installer: New version of installer. Now allow
	to install the agent and all its dependencies, configuration and logfiles 
	inside a specific directory, for example: /opt/pandora. That directory
	will contain all data, even the logs. Default configuration file and 
	launcher daemon script are modified in realtime to have that custom
	defined directory. Removed "with-links" method.

	* *.conf: Minor modification to use the new method of install in a custom
	directory.

	* unix/pandora_agent_daemon: Build update and some small modifications
	to use the custom directory.

2010-05-17  Sergio Martin <sergio.martin@artica.es>

	* linux/pandora_agent.conf: Improved the default
	modules memused and proctotal for bug 3002626

2010-05-16  Raúl Mateos  <raulofpandora@gmail.com>

	* linux/pandora_agent_installer, linux/DEBIAN/make_deb_package.sh,
	linux/DEBIAN/control, linux/pandora_agent, linux/pandora_agent_daemon,
	linux/pandora_agent.conf: Updated build. Updated year.

2010-05-12  Sergio Martin <sergio.martin@artica.es>

	* unix/pandora_agent_installer
	linux/pandora_agent_installer
	man/man1/tentacle_client.1.gz: Improved
	man pages installer splitting tentacle
	man page and write it on unix folder

	*  unix/man
	unix/man/man1
	unix/man/man1/tentacle_client.1
	man/man1/pandora_agent.1
	man/man1/tentacle.1.gz: Deleted old man pages

2010-05-11  Sergio Martin <sergio.martin@artica.es>

	* linux/pandora_agent_installer
	man/man1/pandora_agent.1.gz
	man/man1/tentacle.1.gz: Added the man pages of
	tentacle and pandora agent and modified the
	agent installer script to install them

2010-02-22 Pablo de la Concepción <pablo.concepcion@artica.es>

	* unix/Linux/pandora_agent.conf: Added parameters position_description
	and parent_agent_name, and updated loadaverage with a more efficient 
	version.

	* unix/pandora_agent: Added POD documentation, modified to only add 
	to the XML the minimum parameters (positional parameters, 
	parent_agent_name,...) are not sent with default values if not
	deffined in the config file. Updated verion and build.
	
	* man/man1/pandora_agent.1: ManPage generated from unix/pandora_agent
	first version of the manpage.

2010-02-17   Sancho Lerena <slerena@artica.es>

	* unix/Linux/pandora_agent.conf,
	linux/pandora_agent.conf: Modified way to get loadaverage, taken from
	Enriquegm from the forums.

2010-02-16	Pablo de la Concepción <pablo.concepcion@artica.es>

	Updated tentacle from the tentacle repository and generated 
	manpage. TODO:Make the installer install the manpages

	* unix/tentacle_client: Added pod documentation to generate manpages.

	*  man/man1/tentacle_client.1: First version of the manpages for
	 tentacle_client

2010-02-09  Sancho Lerena <slerena@artica.es>

	* unix/pandora_agent_daemon
	* unix/pandora_agent.spec
	* linux/pandora_agent_daemon
	* linux/pandora_agent.spec: Fixed some compatibility issues with
	CentOS LSB and RPM package.

2010-01-12	Pablo de la Concepción <pablo.concepcion@artica.es>
	
	* unix/Linux/pandora_agent.conf, unix/AIX/pandora_agent.conf,
	unix/HP-UX/pandora_agent.conf, unix/pandora_agent,
	unix/SunOS/pandora_agent.conf: Updated unix agent to send 
	GIS information (altitude, latitude, longitude, and timezone_offset)

2009-12-29  Sancho Lerena <slerena@artica.es>

	* linux/pandora_agent_daemon: Some ugly warnings are fixed.

	* linux/pandora_agent.spec: /spool../data_out was not correctly
	working, fixed.

2009-12-28  Sancho Lerena <slerena@artica.es>

	* pandora_agent.spec: Fixed missing var/spool/pandora/data_out
	directory :-/

2009-12-18  Sancho Lerena <slerena@artica.es>

	* unix/pandora_agent_installer,
	* linux/DEBIAN/control,
	* linux/pandora_agent.spec:  Updated versions.

	* unix/pandora_agent: Fixed bug #2887050. Updated version

2009-12-17  Miguel de Dios  <miguel.dedios@artica.es>

	* linux/DEBIAN/postinst: change the code to insert as service the agent.
	Fixes: 2911327

2009-12-16  Raul Mateos  <raulofpandora@gmail.com>

	* linux/pandora_agent, linux/DEBIAN/make_deb_package.sh: Preparing 
	release changing version to final. Clean code.

2009-12-09  Raul Mateos  <raulofpandora@gmail.com>

	* linux/pandora_agent.conf: Added comments to all modules. This will
	help in reporting (reporting get the module's descriptions) and it's
	a good habit.

2009-12-07  Raul Mateos  <raulofpandora@gmail.com>

	* linux/pandora_agent_installer: Use tabs instead spaces. Small text
	fix.

2009-11-29  Raul Mateos  <raulofpandora@gmail.com>

	* linux/pandora_agent_installer: Added Ubuntu specific stop scripts.
	Added link removing with update-rc.d. Changed temp directory (it
	added duplicated data_out directories). Use tabs instead spaces.

	* linux/pandora_agent_daemon: Use log file in /var/log/pandora/ directory.

	* linux/pandora_agent.conf: Changed temp directory to the one created
	by installer.

	* linux/DEBIAN/control, DEBIAN/make_deb_package.sh: Changed string from rc2
	to RC3.

2009-11-19 Sancho Lerena <slerena@artica.es>

	* unix/pandora_agent_installer: Updated help to avoid confussion about force
	install mode.

	* unix/pandora_agent.spec: Create temp directory. Fixed.

2009-11-10  Sancho Lerena <slerena@artica.es>

	* linux/DEBIAN/control: Updated to RC2.

	* linux/DEBIAN/make_deb_package.sh: /usr/bin/pandora_agent was not being copied
	FIXED. DEB package tested and running fine in latest Debian Stable.

2009-11-04  Raul Mateos  <raulofpandora@gmail.com>

	* pandora_agent_daemon: Changed "Uso" string to "Usage" string. Unify headers
	and customized according to each UNIX/Linux versions.

2009-11-04  Miguel de Dios <miguel.dedios@artica.es>

	* DEBIAN/make_deb_package.sh: move the script to make the deb package into
	the DEBIAN and change some things into the sourcecode for the directory
	change.

2009-10-30  Miguel de Dios <miguel.dedios@artica.es>

	* DEBIAN/control, DEBIAN/md5sums, DEBIAN/postinst, DEBIAN/prerm,
	DEBIAN/conffiles: debian base files for to make a .deb package.
	* make_deb_package.sh: shell script for make automatically the deb package
	for standard installation in a Debian Lenny, this script make a package
	"pandorafms.agent_3.0.0.rc1.deb".

2009-10-26  Sancho Lerena <slerena@artica.es>

	* Updated conf files: temporal variable to use /tmp by default.

	Updated spec revision.

2009-10-17  Sancho Lerena <slerena@artica.es>

	* linux/pandora_agent_daemon: Fixed problems in small term with    
	PID detection.

	* unix/Linux/pandora_agent_daemon: Same as above.

2009-09-30  Sancho Lerena <slerena@artica.es>

	* win32/installer/pandora.mpi: Updated installer.

	* linux/pandora_agent_installer: Fixed "accidental" deletion
	of /var/spool/pandora uninstalling the agent, now only
	delete /var/spool/pandora/data_out 

2009-09-25  Evi Vanoost <vanooste@rcbi.rochester.edu>

	* mac_osx/pandora_fms/pandora_fms, 
	mac_osx/pandora_fms/StartupParameters.plist: Updated for 3.0

	* mac_osx/tentacle_client: Added for 3.0

	* mac_osx/pandora_agent: Copied from Linux and modified

	* mac_osx/pandora_agent.conf: Slight modifications for 3.0

	* mac_osx/pandora_agent_installer: Copied from Linux and 
	modified

	* mac_osx/Pandora FMS.pmdoc: PackageMaker definition file 
	to create Mac Packages for easy (automatic) deployment

	* mac_osx/Pandora Agent 3.0 for Mac: Package (installer) for 
	Mac. This is an easy (click-to-run) package.


2009-09-24  Sancho Lerena zslerena@artica.es>

	* linux/agent_installer: Fixed a typo in old setup backup cmd. 

2009-09-18  sancho Lerena <slerena@artica.es>

	* unix: Added subdir with local daemon script and sample conf
	file for each supported system: Linux, AIX, Solaris and HPUX. 

	* Installer now detects OS and install startup scripts and 
	conf depending on OS.

	* Updated RPM spec for Linux agent.

	* Plugins: Let here (at this time) only "common" plugins,
	in the future will be common plugins and OS dependendant 
	plugins.

2009-09-14  Ramon Novoa  <rnovoa@artica.es>

	* unix, unix/pandora_agent_installer,
	  unix/plugins, unix/pandora_agent,
	  unix/pandora_agent_daemon, unix/AUTHORS,
	  unix/pandora_agent.conf, unix/COPYING,
	  unix/pandora_agent.spec, unix/tentacle_client,
	  unix/README: Added to repository. Generic Pandora FMS Unix agent
	  written in PERL. The skeleton files where copied from the linux
	  subdirectory.

2009-09-01  Sancho Lerena <slerena@artica.es>
	
	* linux/pandora_agent.spec: Using chkconfig to manage service
	instalation/deinstallation.


2009-08-22  Sancho Lerena <slerena@artica.es>

	* linux/pandora_agent.spec: Update uninstall process.

2009-08-20  Sancho Lerena <slerena@artica.es>

	* bsd-ipso/pandora_agent.sh
	aix/pandora_agent
	mac_osx/pandora_agent
	openWRT/pandora_agent
	hp-ux/pandora_agent
	win32/udp_server/udp_server.cc
	win32/udp_server/udp_server.h
	meta_agent/pandora_agent_sim.sh
	solaris/pandora_agent: Header updates.

2009-08-19  Manuel Arostegui <manuel@todo-linux.com>

	* linux/pandora_agent.spec: Changed email.

2009-08-18  Sancho Lerena <slerena@artica.es>

	* linux/pandora_agent.spec: Fixed some permissions.

	* pandora_agent.conf, pandora_agent: Support for description and group
	passed to the server. Also implemented AUTOTIME, where timestamp used
	is the server localtime instead agent datetime. Also placed new token for
	module_postprocess data to be passed to server.
	
2009-08-14  Sancho Lerena <slerena@artica.es>

	* linux/pandora_agent_installer: Fixed problems with .conf backup

	* linux/plugins/arp_attack: New agent plugin to detect ARP attacks.

	* linux/plugins/iptables_plugin: New agent plugin for Netfilter.

	* linux/plugins/apache_status: new agent plugin (apache status).

	* linux/plugins/inventory: Added users and process. Fixed weird
	problem with inexistant XML attribute VALUE ¿?. Now works fine.

	* linux/plugins/pandora_df: New agent plugin (disk space).

2009-08-12  sancho Lerena <slerena@artica.es>

        * linux/pandora_agent: Added LSB tags to startup daemon for SUSE

2009-08-11  Sancho Lerena <slerena@artica.es>

	* linux/pandora_agent_installer: Some fixes and support for Ubuntu/SUSE
	specific installer.
	
	* linux/plugins/grep_log: Support for more than module over the same file.
	
	* linux/pandora_agent_daemon: Fixed problems with PID control, rewrite
	function, now should works on any linux distro. 
	
	* linux/pandora_agent.conf: Added new inventory plugin and minor changes in
	default modules.

	* linux/pandora_agent: Updated version and build 

2009-08-11  Miguel de Dios  <miguel.dedios@artica.es>

	* ChangeLog: sorry, I had got a mistake with copy&paste.

2009-08-11  Miguel de Dios  <miguel.dedios@artica.es>

	* linux/plugins/inventory: Added the capacity for search services in init,
	details file system, and modify the software scanner to extract the
	description.

2009-08-03  Ramon Novoa  <rnovoa@artica.es>

	* linux/plugins/inventory: Added to repository. Inventory plugin.

2009-07-22  Ramon Novoa  <rnovoa@artica.es>

	* linux/plugins/pandora_df: Properly close the <module> XML tag.

2009-07-16  Ramon Novoa  <rnovoa@artica.es>

	* linux/plugins/pandora_ps, linux/plugins/pandora_df: Added to
	  repository. New ps and df plugins.

2009-07-02  Manuel Arostegui <marostegui@artica.es>

	* linux/pandora_agent.spec: Fixed a typo.

2009-07-02  Manuel Arostegui <marostegui@artica.es>

	* linux/pandora_agent.spec: RPM spec file for 3.0 version.
	This spec file builds packages for: Centos5,Fedora11,RHEL5,
	SLE9, SLE10, OpenSuse 10.3, OpenSuse 11.0.

2009-06-11  Manuel Arostegui <marostegui@artica.es>

	* linux/pandora_agent_installer: Changed the uninstall options
	cause if you had the agent in the same machine as the server and the
	agent is deleted, it would delete /etc/pandora/ (which includes
	pandora_server.conf) instead of just pandora_agent.conf.

2009-05-05  Evi Vanoost  <vanooste@rcbi.rochester.edu>

	* mac_osx/plugins/ipmi2xml/impi2xml.php, 
	linux/plugins/ipmi2xml/impi2xml.php: Updated for latest ipmitool
	and works with Apple XServe "Nehalem". See blog post for adapting it
	
	* mac_osx/plugins/ipmi2xml/README.txt, 
	linux/plugins/ipmi2xml/README.txt: Updated documentation for dependencies

2009-04-29  Jorge Gonzalez  <jorgegonz@artica.es>

	* win32/bin/pandora_agent.conf: fixed typos.

2009-04-02  Sancho Lerena <slerena@artica.es>

	* pandora_agent_installer: Some corrections for new tentacle install.
	
	* pandora_agent_daemon: Some corrections for startup script.

2009-04-02  Manuel Arostegui <marostegui@artica.es>

	* linux/pandora_agent_installer: Added tentacle_client installation

	* linux/tentacle_client: Added to repository. Tentacle_client is now
	installed along with the Agent.

2009-03-16  Manuel Arostegui <marostegui@artica.es>

	* win32/bin/pandora_agent.conf: Added example of a UDP server
	to allow start/stop process.

	* win32/Changelog: Updated.

2009-03-13  Manuel Arostegui <marostegui@artica.es>

	* linux/pandora_agent.conf: Commented SNMPGET example module
	it is not useful in a default installation since it will always
	fail.

	* win32/bin/pandora_agent.conf: Added example for the new features
	such as watchdog and asynchronous mode.

2009-02-24  Ramon Novoa  <rnovoa@artica.es>

	* win32/modules/pandora_module_proc.cc,
	  win32/modules/pandora_module_proc.h,
	  win32/modules/pandora_module_factory.cc,
	  win32/pandora_windows_service.cc: Fixed some 'work in progress'
	  code from previous commit.

	* win32/pandora.cc: Updated version string.

2009-02-24  Jorge Gonzalez  <jorgegonz@svn.gnome.org>

	* linux/pandora_agent.conf: fixed typo.

2009-01-26  Ramon Novoa  <rnovoa@artica.es>

	* win32/modules/pandora_module.h,
	  win32/modules/pandora_module_factory.cc,
	  win32/modules/pandora_module.cc: Added support for async data types.

	* win32/modules/pandora_module_proc.cc: Removed unnecessary call
	  to Pandora_Wmi::runProgram.

2009-01-21  Ramon Novoa  <rnovoa@artica.es>

	* win32/bin/PandoraAgent.exe: Updated to r1371.

2009-01-20  Ramon Novoa  <rnovoa@artica.es>

	* win32/ftp/pandora_ftp_client.cc,
	  win32/ftp/pandora_ftp_client.h,
	  win32/windows/pandora_wmi.cc,
	  win32/pandora_windows_service.h,
	  win32/pandora.h,
	  win32/udp_server/udp_server.cc,
	  win32/misc/pandora_file.cc,
	  win32/misc/pandora_file.h,
	  win32/ssh/pandora_ssh_client.cc,
	  win32/ssh/pandora_ssh_client.h,
	  win32/pandora_windows_service.cc: Removed some exceptions that made
	  the agent crash when the watchdog thread was running.

2008-12-24  Ramon Novoa  <rnovoa@artica.es>

	* win32/pandora_windows_service.h,
	  win32/bin/pandora_agent.conf,
	  win32/pandora_windows_service.cc: Added local transfer mode.

2008-12-24  Ramon Novoa  <rnovoa@artica.es>

	* win32/pandora_windows_service.cc: Do not send XML if server address
	  is not set.

2008-12-16  Ramon Novoa  <rnovoa@artica.es>

	* win32/modules/pandora_module_wmiquery.cc,
	  win32/modules/pandora_module_wmiquery.h: Added to repository. WMI
	  query module.

	* win32/windows/pandora_wmi.cc,
	  win32/windows/pandora_wmi.h,
	  win32/modules/pandora_module.h,
	  win32/modules/pandora_module_factory.cc,
	  win32/modules/pandora_module_list.cc,
	  win32/modules/pandora_module.cc,
	  win32/PandoraAgent.dev: Added support for WMI query module.

2008-12-11  Evi Vanoost  <vanooste@rcbi.rochester.edu>

	* linux/plugins/SGE: Added the SGE plugin
	
	* mac_osx/plugins/SGE: Renamed the SGE plugin to be consistent with Linux
	
	* mac_osx/pandora_agent, mac_osx/pandora_agent.conf, 
	mac_osx/pandora_agent_installer, mac_osx/pandora_fms/StartupParameters.list
	mac_osx/pandora_fms/pandora_fms: Updated to latest (2.0) client code. Fixed
	installer issues where it would overwrite previous config.

2008-12-11  Ramon Novoa  <rnovoa@artica.es>

	* win32/pandora_windows_service.h,
	  win32/pandora_windows_service.cc: Added support for a secondary server
	  .


2008-12-11  Ramon Novoa  <rnovoa@artica.es>

	* win32/windows/pandora_wmi.cc,
	  win32/pandora_windows_service.h,
	  win32/PandoraAgent.dev,
	  win32/pandora_windows_service.cc: Added an UDP Server. The
	  agent can receive remote commands.

	* win32/udp_server,
	  win32/udp_server/udp_server.cc,
	  win32/udp_server/udp_server.h: Added to repository. UDP Server.

2008-12-10  Ramon Novoa  <rnovoa@artica.es>

	*  linux/pandora_agent,
	   linux/pandora_agent.conf: Added support for a secondary server.

2008-11-25  Sancho Lerena <slerena@gmail.com>

	* linux/pandora_agent: Fixed problem parsing async_string.

	* linux/pandora_agent.conf: Sample of async_string module.

2008-09-04  Evi Vanoost  <vanooste@rcbi.rochester.edu>

	* mac_osx/plugins/XServeRAID: Updated for 2.0 type agents. Added
	license information

	* mac_osx/plugins/SGE: Added SGE plugin. This is a shell script that
	will output the status of an SGE computing cluster. Best installed on
	the SGE Master

	* mac_osx/plugins/ppc_sensors: Updated for 2.0 type agents. Added
	license information

	* mac_osx/plugins/ipmi2xml: Renamed .txt to .php (what it should be).
	Updated to 2.0 type agents. Added license information

2008-09-03  SAncho Lerena <lserena@artica.es>

	* linux/pandora_agent_installer: Added link to startup
	for linux agent.

2008-07-31  Ramon Novoa  <rnovoa@artica.es>

	* win32/bin/PandoraAgent.exe: Updated to r989.

2008-07-31  Ramon Novoa  <rnovoa@artica.es>

	* win32/pandora_windows_service.cc: Small fixes.
	* win32/modules/pandora_module.cc: time() and localtime() are used
	  instead of GetSystemTime().
	* win32/pandora.h: Changed all instances of "Pandora" to
	  "Pandora FMS".

2008-07-30  Ramon Novoa  <rnovoa@artica.es>

	* win32/windows/pandora_wmi.cc: Fixed typo bug.

2008-07-24  Ramon Novoa  <rnovoa@artica.es>

	* win32/windows/pandora_wmi.cc: Fixed WMI query timestamp limit for
	  log events.

2008-07-22  Ramon Novoa  <rnovoa@artica.es>

	* win32/modules/pandora_module.cc: Fixed a bug that made the agent
	  crash when a module returned data of the wrong type.

2008-07-17  Manuel Arostegui <marostegui@artica.es>

	* linux/pandora_agent.conf: Removed enabled debug by
	default. Debug set to 0.

	* ChangeLog: Minor style correction.

2008-07-09  Evi Vanoost <vanooste@rcbi.rochester.edu>

	* pandora_agents/mac_osx: Updated pieces here and there including the installer and startup scripts to make them more compatible and reliable

2008-07-08  Evi Vanoost <vanooste@rcbi.rochester.edu>

	* pandora_agents/tools
	  pandora_agents/linux/plugins
	  pandora_agents/mac_osx/plugins: Moved tools into the plugin sections of compatible agents. The plugins in subdirectories have dependencies that can be found in the README file while plugins directly in the directory can be used directly when Pandora agent prerequisites are met (Perl & Bash)

	* pandora_agents/mac_osx/pandora_user.conf
	pandora_agents/mac_osx/plugins/ppc_sensors: Moved pandora_user.conf into the new plugins section

	* pandora_server/pandora_server_installer: Refined the installer so that it doesn't try installing certain parts on systems (usually non-Linux) that don't support cronjobs or /etc/init.d startup. It will just fail with a message for now. Also updated the error messages that appear so that they are more clear (eg. what Perl modules and how to use cpan).


2008-07-08  Sancho Lerena <slerena@gmail.com>

	* linux/plugins/grep_log: Changed default type to "async_string"

2008-07-07  Evi Vanoost  <vanooste@rcbi.rochester.edu>

	* pandora_agents/tools
	pandora_agents/linux/plugins
	pandora_agents/mac_osx/plugins: Moved tools into the plugin sections of 
	compatible agents. The plugins in subdirectories have dependencies that 
	can be found in the README file while plugins directly in the directory
	can be used directly when Pandora agent prerequisites are met (Perl & Bash)

	* pandora_agents/mac_osx/pandora_user.conf
	  pandora_agents/mac_osx/plugins/ppc_sensors: Moved pandora_user.conf 
	into the new plugins section

2008-06-30  Sancho Lerena <slerena@artica.es>

	*  pandora_agents/win32/installer/pandora_2.0.mpi: New installer for 2.0

2008-06-20  Ramon Novoa  <rnovoa@artica.es>

	* openWRT/pandora_agent, openWRT/pandora_agent.conf: Added support for
	  Tentacle.

2008-06-19  Ramon Novoa  <rnovoa@artica.es>

	* win32/bin/PandoraAgent.exe: Updated to r888.

2008-06-19  Ramon Novoa  <rnovoa@artica.es>

	* win32/windows/pandora_wmi.cc, win32/windows/pandora_wmi.h,
	  win32/modules/pandora_module.h, 
	  win32/modules/pandora_module_logevent.cc,
	  win32/modules/pandora_data.cc, win32/modules/pandora_data.h,
	  win32/modules/pandora_module.cc: Data timestamps are taken from
	  the log file itself.

2008-06-18  Ramon Novoa  <rnovoa@artica.es>

	* win32/modules/pandora_module_logevent.cc: Fixed execution interval.

2008-06-18  Ramon Novoa  <rnovoa@artica.es>

	* win32/modules/pandora_module_logevent.cc: Now returns "empty" data
	  when no data is available.

2008-06-13  Ramon Novoa  <rnovoa@artica.es>

	* win32/bin/PandoraAgent.exe: Updated to r857.

2008-06-13  Ramon Novoa  <rnovoa@artica.es>

	* win32/PandoraAgent.dev: Updated.
	* win32/windows/pandora_wmi.cc, win32/windows/pandora_wmi.h,
	  win32/pandora_windows_service.cc, win32/modules/pandora_module.h,
	  win32/modules/pandora_module_logevent.cc,
	  win32/modules/pandora_module_logevent.h,
	  win32/modules/pandora_module_factory.cc,
	  win32/modules/pandora_module_list.cc,
	  win32/modules/pandora_module.c: Added a new module that checks for
	  log events using WMI queries.
	* bin/pandora_agent.conf: Added encoding option and a Logevent module
	  declaration example.

2008-06-11  Ramon Novoa  <rnovoa@artica.es>

	* win32/pandora_strutils.cc, win32/pandora_strutils.h,
	  win32/modules/pandora_module.cc: Added support for floating-point
	  numbers.

2008-06-11  Ramon Novoa  <rnovoa@artica.es>

	* win32/bin/pandora_agent.conf: Added remote_config option.

2008-06-10  Ramon Novoa  <rnovoa@artica.es>

	*  win32/bin/PandoraAgent.exe: Updated to r849.

2008-06-10  Ramon Novoa  <rnovoa@artica.es>

	* win32/pandora.cc: Updated version information.

2008-06-10  Ramon Novoa  <rnovoa@artica.es>

	* win32/PandoraAgent.dev: Updated.
	* win32/misc/md5.c, win32/misc/md5.h: Added to repository.
	  Implementation of MD5 (RFC 1321).
	* win32/misc/pandora_file.cc, win32/misc/pandora_file.h: Added remote
	  configuration checking related functions.
	* win32/pandora_windows_service.cc, win32/pandora_windows_service.h:
	  Added support for remote configuration checking.

2008-06-09  Sancho Lerena <slerena@gmail.com>

	macOS agent update.

2008-06-09  Ramon Novoa  <rnovoa@artica.es>

	* linux/plugins/grep_log: Fixed command line parameter check.
	* linux/pandora_agent: Added support for remote configuration.
	* linux/pandora_agent.conf: Added remote_config option.

2008-05-29  Sancho Lerena <slerena@gmail.com>

	* openWRT/README.openwrt: Some additional information about wput command
	replacing old SSH transfer method.
	
	* openWRT/pandora_agent: Updated to use ftp(wput) instead of buggy ssh.

	* openWRT/pandora_agent.conf: Deleted ssh method and unused stuff for
	this little agent.

	* linux/plugins/grep_log: Updated plugin to use a module name for each
	call, passed as 2th argument.

	* linux/pandora_agent.conf: Deleted checksum reference and commented
        plugin sample, and using the new syntax for plugin.

2008-05-27  Ramon Novoa  <rnovoa@artica.es>

	* linux/pandora_agent.conf: Added a plugin declaration example.

2008-05-25 Sancho Lerena <slerena@artica.es>

	* linux/pandora_agent: New cron mode, new ftp mode that do not use
	.netrc anymore, uses password embedded into .conf. Also a few fixes
	and removed checksum mode (deprecated!).

	* linux/pandora_agent.conf: Updated .conf

2008-05-19  Ramon Novoa  <rnovoa@artica.es>

	* linux/pandora_agent_installer: Added plugin installation.
	* linux/plugins: Added to repository. Plugins directory.
	* linux/plugins/grep_log: Added to repository. Plugin to search log
	  files for a matching pattern.
	* linux/pandora_agent: Added support for plugin execution. Removed
	  support for pandora_user.conf.
	* linux/pandora_user.conf: Deleted from repository. Not used anymore.

2008-04-09 Sancho lerena <slerena@gmail.com>

	* README, AUTHORS, COPYING: Updated on all agents.

2008-04-08 Sancho Lerena <slerena@gmail.com>

	* openWRT/pandora_arduino.c: Code for arduino, able to manage
	pandora agent signals using serial interface.

2008-03-19  Manuel Arostegui <marostegui@artica.es>

	* linux/pandora_agent.spec: Adapted to the new 1.3.X version
	  of the Pandora Agents.

2008-03-14  Ramon Novoa  <rnovoa@artica.es>

	* win32/pandora_windows_service.cc: Added support for Tentacle file transfers.
	* win32/pandora_windows_service.h: Added support for Tentacle file transfers.

2008-03-11  Ramon Novoa  <rnovoa@artica.es>

	* linux/pandora_agent: Added support for Tentacle file transfers.
	* linux/pandora_agent.conf: Added Tentacle specific options.

2008-03-11 Manuel Arostegui <marostegui@artica.es>

        * linux/pandora_agent_daemon: Added pidof checking to
        check the PID of the process.

2008-02-02 Sancho lerena <slerena@gmail.com>

	* pandora_arduino.c: Added microcode for arduino.

	* AUTHORS: Added Jorge to autors, was missing.

	* pandora_serialread: Added sleep to improve serial read.

2008-01-10 Sancho Lerena <slerena@gmail.com>

        * Win32: Deleted old installer exes. 

2008-01-08 Sancho Lerena <slerena@gmail.com>

	* mac_osx/*: Added code for Mac OsX Agent contributed by Evi Vanoost.

2008-01-02 Sancho lerena <slerena@gmail.com>

	* openWRT/*: Added code for new ASYNC agent for OpenWRT/Arduino
	agent, this would be the new SYNC/ASYNC agent for Pandora FMS 2.0.
	This is first development version, DO NOT TEST YET. It has several
	code specific for OpenWRT enviroment.

2007-09-14 Sancho Lerena <slerena@gmail.com>

	* Deleted a lot of old stuff (licenses, readmes, etc). Put on agent root dir

2007-08-29  Raul Mateos  <raulofpandora@gmail.com>

	* win32/bin/pandora_agent.conf: Added comments about usage and samples.

2007-08-27  Raul Mateos  <raulofpandora@gmail.com>

	* win32/installer/How_to_create_installer.txt: Changed mpi name.
	Added libcurl.dll and more info.

2007-08-23  Sancho Lerena <slerena@artica.es>

	* linux/pandora_agent_installer: Fixed problem with /var/log/pandora

	* linux/README: Added, replacing old INSTALL file.

	* linux/pandora_agent: Fixed problem with old path /var/log/pandora_agent.log

2007-08-20  Sancho Lerena <slerena@artica.es>

	New version of Pandora Agent for Windows (beta2).

	* win32/bin/key/id_dsa*: Added sample keys.

	* win32/installer/logo.png: Updated logo for installer.

	* win32/installer/Pandora_Windows_Agent-1.3.0 Beta2-Setup.exe: New installer binary.

	* win32/installer/Pandora_Windows_Agent-1.2.1-Setup.exe: Deleted old one

	* win32/installer/pandora1.2.1.mpi: Updated (and need to be renamed on next commit)

2007-08-02  Sancho Lerena <slerena@artica.es> 

	* bdd_ipso/pandora_agent.conf: Some modules updated.

2007-08-01  Sancho Lerena <slerena@artica.es>

	* bsd_ipso/*: Some fixes. Added harm_mode to avoid be unpolite
	with IPSO in some heavy loaded systems (IMPERATIVE!). Some fixes.

2007-07-05  Manuel Arostegui <marostegui@artica.es>

	* linux/pandora_agent: Fixed small but important bug.
	  which makes the ftp transfer mode useless.
	
	* aix/pandora_agent: Fixed small but important bug.
          which makes the ftp transfer mode useless.
        
	* solaris/pandora_agent: Fixed small but important bug.
          which makes the ftp transfer mode useless.

2007-07-03  Manuel Arostegui <marostegui@artica.es>

	* hp-ux/pandora_agent_installer: Added to repository. 
	  HP-UX Pandora Agent Installer.
        
	* hp-ux/data_out: Removed, no longer necesary in 
	  1.3 version and later.

2007-07-02  Manuel Arostegui <marostegui@artica.es>

	* linux/pandora_agent: Fixed bug: #1746327

2007-06-29  Raul Mateos  <raulofpandora@gmail.com>

	* linux/pandora_agent.conf: Changed log and temp paths.

2007-06-25  Manuel Arostegui <marostegui@artica.es>

	* aix/pandora_agent.conf: Added missing line agent_name
	option

2007-06-25  Sancho Lerena  <slerena@artica.es>

	* linux/pandora_agent_installer: Fixed problems with old "contrib"
	subdir.
	
	* */pandora_agent: Removed from/to time run functionality. Added
	renice call, fixed some default vars and fixed DEBUG mode
	behaviour.
	
	* */pandora_agent.conf: Default are to no renice and not debug.
	
2007-06-18  Manuel Arostegui <marostegui@artica.es>

	* linux/pandora_agent_installer: Fixed a bug related
	  with the copy of the pandora_agent_daemon file.

2007-06-18  Manuel Arostegui <marostegui@artica.es>

	* linux/pandora_agents.spec: Renamed to pandora_agent.spec

	* linux/pandora_agent.spec: Ready to 1.3 version packagement.

2007-06-14  Manuel Arostegui <marostegui@artica.es>

	* linux/pandora_agent.conf: Changed to disable 
	  by default the delayed start up.
        
	* aix/pandora_agent.conf: Changed to disable
          by default the delayed start up.
        
	* solaris/pandora_agent.conf: Changed to disable
          by default the delayed start up.

2007-06-14  Manuel Arostegui <marostegui@artica.es>

	* linux/INSTALL: Added how to use the new installer.
      
	* aix/pandora_agent_installer: Changed few things
	 to make it works with the new name of the agent.
     	
	* aix/pandora_agent: This is the old pandora_agent.sh
	 which has been renamed to pandora_agent
      	
	* aix/pandora_agent_daemon: Changed few thing to make it
	 works with the new name of the agent.
      	
	* aix/INSTALL: Added how to use the new installer.

        * aix/pandora_agent.sh: Renamed to pandora_agent.
      	
	* hp-ux/pandora_agent: This is the old pandora_agent.sh
         which has been renamed to pandora_agent
      	
	* hp-ux/pandora_agent_daemon: Changed few thing to make it
         works with the new name of the agent.
      	
	* hp-ux/INSTALL: Added how to use the new installer.
      	
	* hp-ux/pandora_agent.sh: Renamed to pandora_agent.
      	
	* solaris/pandora_agent_installer: Changed few thing to make it
         works with the new name of the agent.
     	
	* solaris/pandora_agent: This is the old pandora_agent.sh
         which has been renamed to pandora_agent
     	
	* solaris/pandora_agent_daemon: Changed few thing to make it
         works with the new name of the agent.
     	
	* solaris/INSTALL: Added how to use the new installer.
     	
	* solaris/pandora_agent.sh: Renamed to pandora_agent.


2007-06-14  Manuel Arostegui <marostegui@artica.es>

	* linux/pandora_agent_installer, pandora_agent_daemon:
	  moved to root directory of the agent directory.
	
	* linux/contrib: Deleted directory from the agent main
	  directory:
	
	* linux/contrib/pandora_agent_daemon, pandora_agent_installer:
	  Deleted from the contrib dir.

2007-06-12  Manuel Arostegui <marostegui@artica.es>

      	* linux/contrib/pandora_agent_installer: Changed a PATH
	  to adapt the script to the 1.3 version.

      	* linux/contrib/pandora_agent_daemon: Added nohup.

      	* linux/pandora_agent: Added features like:
	  Maximum and Minimum hours where the agent can run between.
	  Delayed startup for the agent.
	  Added NICE option to protect CPU.
	  Added "local" as a new transfer mode.
	  
      	* linux/pandora_agent.conf: Changed in order to adapt it
	  to the new features of the agent.

      	* aix/pandora_agent_installer: Added to repository:
	  Pandora Agent Installer for AIX Systems.

      	* aix/pandora_agent_daemon: Added nohup and fixed a small
	  bug related with an "exit" in the beggining of the script.

      	* aix/pandora_agent.conf: Changed in order to adapt it
          to the new features of the agent.

      	* aix/pandora_agent.sh: Added features like:
          Maximum and Minimum hours where the agent can run between.
          Delayed startup for the agent.
          Added NICE option to protect CPU.
          Added "ftp" and "local" as a new transfer mode.
	  Added the chance of choosing the remote ssh port to use.

      	* win32/bin/pandora_agent.conf: Changed version number.

      	* solaris/pandora_agent_installer: Added to repository:
	  Pandora Agent Installer for Solaris Systems.

      	* solaris/pandora_agent_daemon: Added nohup. 

      	* solaris/pandora_agent.conf: Changed in order to adapt it
          to the new features of the agent.

      	* solaris/pandora_agent.sh: Added the banner in the start
          up.
          Added features like:
          Maximum and Minimum hours where the agent can run between.
          Delayed startup for the agent.
          Added NICE option to protect CPU.
          Added "ftp" and "local" as a new transfer mode.
          Added the chance of choosing the remote ssh port to use.

2007-04-23  Manuel Arostegui <marostegui@artica.es>

	* linux/contrib/pandora_agent_installer: Removed an unnecessary
	  directory.	  

2007-04-22  Sancho Lerena  <slerena@artica.es>

	* linux/contrib/pandora_agent_installer: Fixed small bugs.

	* linux/pandora_agent.conf: Fixed small bug.

	This version of installer works fine in a Ubuntu 6.10 Server

2007-04-21  Sancho Lerena  <slerena@artica.es>

	* pandora_agent_daemon moved to contrib dir.

	* deleted Doc dir.

	* moved pandora_agent_installer to contrib dir.

	* Added LICENCE with GPL data.

	* Deleted README with old text stuff.

	* Moved pandora_agent.sh to pandora_agent

	* pandora_agent:  Added feature: TRANSFER_MODE.

	* pandora_agent.conf: Added feature token.

2007-04-19  Sancho Lerena  <slerena@artica.es>

	At the moment, only linux agent changes, need to be propagated to
	other Unix agents:
		
	* Local development changes for pandora_agent.sh, and for
	pandora_agent.conf. Will be changed for production release.

	* Added contrib dir.

	* Added installer: pandora_agent_installer

2007-04-11  Manuel Arostegui <marostegui@artica.es>

	* linux/pandora_agents.spec: Added links from 
	  init.d to rc0.d, rc6.d, rc3.d and rc5.d

2007-04-11  Manuel Arostegui <marostegui@artica.es>

      	* linux/pandora_agent.conf: Changed PATHS to
	   adapt them to the upcoming 1.3 release.
      	
	* bsd-ipso/pandora_agent.conf: Changed PATHS to
           adapt them to the upcoming 1.3 release
      	
	* aix/pandora_agent.conf: Changed PATHS to
           adapt them to the upcoming 1.3 release
      	
	* hp-ux/pandora_agent.conf: Changed PATHS to
           adapt them to the upcoming 1.3 release
      	
	* win32/bin/pandora_agent.conf: Changed PATHS to
           adapt them to the upcoming 1.3 release
      	
	* meta_agent/pandora_agent_1.conf, pandora_agent_2.conf,
	  pandora_agent_3.conf, pandora_agent_4.conf,
	  pandora_agent_5.conf: Changed PATHS to
           adapt them to the upcoming 1.3 release
      	
	* solaris/pandora_agent.conf: Changed PATHS to
           adapt them to the upcoming 1.3 release


2007-04-11  Manuel Arostegui <marostegui@artica.es>

	* linux/pandora_agent.conf, pandora_agents.spec: Changed
	  PATHS to adapt them to the upcoming 1.3 release.
        
	* bsd-ipso/pandora_agent_daemon, pandora_agent.conf,
	  pandora_agent.sh: Changed PATHS to adapt them to
	  the upcoming 1.3 release.
      
	* aix/pandora_agent_daemon, pandora_agent.conf,
	  pandora_agent.sh: Changed PATHS to adapt them
	  to the upcoming 1.3 release.
      
	* hp-ux/pandora_agent_daemon, pandora_agent.conf,
	  pandora_agent.sh: Changed PATHS to adapt them
	  to the upcoming 1.3 release.
      
	* win32/bin/pandora_agent.conf: Changed PATHS to
	  adapt them to the upcoming 1.3 release.
      
	* meta_agent/pandora_agent_sim.sh, pandora_agent_daemon,
	  pandora_agent_1.conf, pandora_agent_2.conf, pandora_agent_3.conf,
	  pandora_agent_4.conf, pandora_agent_5.conf: Changed PATHS
	  to adapt them to the upcoming 1.3 release.
      
	* solaris/pandora_agent_daemon, pandora_agent.conf,
	  pandora_agent.sh: Changed PATHS to adapt them to the upcoming
	  1.3 release.

2007-02-02  Manuel Arostegui <marostegui@artica.es>

	* linux/pandora_agents.spec: More polished spec file.

2007-01-08  Manuel Arostegui <marostegui@artica.es>

	* linux/pandora_agents.spec: Changed group.

2007-01-05  Sancho Lerena  <slerena@artica.es>

	* linux/pandora_agent_daemon: Some adjustements for a generic
	daemon launcher. Need to be improved with some code from Dagget
	and Manu.

2007-01-04  Sancho Lerena  <slerena@artica.es>

	* Linux/pandora_agent.sh: Solved problem with encoding. Now XML
	its parsed before sending it, replacing all & characters.

2007-01-03  Sancho Lerena <slerena@artica.es>

        * Linux/pandora_agent.conf: Added more tokens to config
	file. Added logfile, temporal and encoding issues.

        * Linux/pandora_agent.sh: Many changes on agent. Solved problems
	with encoding, changed all paths, fixed minor bugs, and some work
	with XML.

2007-01-03  Manuel Arostegui <marostegui@artica.es>

	* linux/pandora_agents.spec: Added dependencies

2007-01-02  Manuel Arostegui <marostegui@artica.es>

	* linux/pandora_agents.spec: Added new PATHS for config files and
	  binary ones. Fixed perms. Change Summary due to a typo bug.

2007-01-01  Manuel Arostegui <marostegui@artica.es>

	* linux/pandora_agents.spec: Added to repository. Spec file for
	  pandora agents RPM package. Launch scripts are installed under
	  /usr/local/bin/ and configuration files are in
	  /usr/local/etc/pandora

2006-12-05  Sancho Lerena  <slerena@artica.es>

	* linux/pandora_agent.sh: Added support for SSH port (contrib from
	Dagget).

	* linux/pandora_agent.conf: Added server_port feature.
	
2006-11-27  Manuel Arostegui <marostegui@artica.es>

	* linux/pandora_agent.sh: Added new distro detection

2006-11-23  Raul Mateos <raulofpandora@gmail.com>

	* linux/pandora_agent.sh, linux/pandora_agent_daemon: Update license,
	translated text from spanish to english, updated build.
	
	* linux/pandora_agent.conf: Solved small bug with vmstat.

2006-11-15  Sancho Lerena  <slerena@artica.es>

        * linux/pandora_agent_daemon: Updated header for LSB compatibility
        (thanks to patch send by Jose Angel de Bustos.

2006-09-20  Sancho Lerena  <slerena@artica.es>

	* linux/pandora_agent.sh: Inserted code for detect Linux Distro,
	and get versions (ported from babel agent code).

2006-08-30 Sancho Lerena <slerena@artica.es>

	* pandora_agent/ChangeLog: Created and added to repository

